Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jif.ast
Class JifCatch_c

    java.lang.Object
      polyglot.ext.jl.ast.Node_c
          polyglot.ext.jl.ast.Term_c
              polyglot.ext.jl.ast.Stmt_c
                  polyglot.ext.jl.ast.Catch_c
                      jif.ast.JifCatch_c

All Implemented Interfaces:
  java.lang.Cloneable, polyglot.ast.Catch, polyglot.ast.CompoundStmt, polyglot.ast.JL, polyglot.ast.Node, polyglot.ast.NodeOps, polyglot.ast.Stmt, polyglot.ast.Term, polyglot.util.Copy

    public class JifCatch_c

extends polyglot.ext.jl.ast.Catch_c

Field Summary

Fields inherited from class polyglot.ext.jl.ast.Catch_c
`body, formal`

Fields inherited from class polyglot.ext.jl.ast.Term_c
`exceptions, reachable`

Fields inherited from class polyglot.ext.jl.ast.Node_c
`del, error, ext, position`

Constructor Summary
`JifCatch_c(polyglot.util.Position pos, polyglot.ast.Formal formal, polyglot.ast.Block body)`

Method Summary
`polyglot.ast.Catch` | `formal(polyglot.ast.Formal formal)`
`protected polyglot.ext.jl.ast.Catch_c` | `reconstruct(polyglot.ast.Formal formal, polyglot.ast.Block body)`

Methods inherited from class polyglot.ext.jl.ast.Catch_c
`acceptCFG, body, body, catchType, enterScope, entry, formal, prettyPrint, toString, typeCheck, visitChildren`

Methods inherited from class polyglot.ext.jl.ast.Term_c
`exceptionCheck, exceptions, exceptions, listEntry, reachable, reachable`

Methods inherited from class polyglot.ext.jl.ast.Node_c
`addDecls, buildTypes, buildTypesEnter, checkConstants, childExpectedType, copy, del, del, disambiguate, disambiguateEnter, disambiguateOverride, dump, dump, dump, enterChildScope, error, error, exceptionCheckEnter, ext, ext, ext, ext, init, isDisambiguated, isTypeChecked, node, position, position, prettyPrint, prettyPrint, print, printBlock, printSubStmt, throwTypes, translate, typeCheckEnter, typeCheckOverride, visit, visitChild, visitEdge, visitList`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface polyglot.ast.Term
`exceptions, exceptions, reachable, reachable`

Methods inherited from interface polyglot.ast.Node
`childExpectedType, del, del, dump, error, error, ext, ext, ext, ext, isDisambiguated, isTypeChecked, position, position, visit, visitChild, visitEdge, visitList`

Methods inherited from interface polyglot.ast.JL
`init, node`

Methods inherited from interface polyglot.ast.NodeOps
`addDecls, buildTypes, buildTypesEnter, checkConstants, disambiguate, disambiguateEnter, disambiguateOverride, dump, dump, enterChildScope, exceptionCheck, exceptionCheckEnter, prettyPrint, prettyPrint, throwTypes, translate, typeCheckEnter, typeCheckOverride`

Methods inherited from interface polyglot.util.Copy
`copy`

Constructor Detail

### JifCatch_c

    public JifCatch_c(polyglot.util.Position pos,
                      polyglot.ast.Formal formal,
                      polyglot.ast.Block body)

Method Detail

### formal

    public polyglot.ast.Catch formal(polyglot.ast.Formal formal)

  Specified by:
    `formal` in interface `polyglot.ast.Catch`
  Overrides:
    `formal` in class `polyglot.ext.jl.ast.Catch_c`

### reconstruct

    protected polyglot.ext.jl.ast.Catch_c reconstruct(polyglot.ast.Formal formal,
                                                      polyglot.ast.Block body)

  Overrides:
    `reconstruct` in class `polyglot.ext.jl.ast.Catch_c`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD